{% set PageTitle = "Search results" %}

{% extends "master.html" %}

{% block main %}
  <div id="searchRefinerNav"></div>
  <div id="searchResults"></div>
  <div id="searchPagination"></div>
{% endblock %}

{% block styles %}
{% endblock %}

{% block scripts %}

	<script>
 window.addEventListener('load', function(){

    ReactDOM.render(React.createElement(Components.SearchRefinerNav, {
    id: 'idsomething',
    "mobileNavTitle":"Search by Category",
    "searchResultsCount":2,
    "items":[  
      {  
	        "count":594,
	        "label":"All",
	        "href":"/insurance-search?term=*&filter",
	        "isSelected":false
      },
      {  
	        "count":2,
	        "label":"Articles",
	        "href":"/insurance-search?term=*&filter=Articles",
	        "isSelected":true
      },
      {  
	        "count":2,
	        "label":"Guides",
	        "href":"/insurance-search?term=*&filter=Guides",
	        "isSelected":false
      },
      {  
	        "count":1,
	        "label":"Press releases",
	        "href":"/insurance-search?term=*&filter=Press-releases",
	        "isSelected":false
      }
    ]
    }), document.getElementById("searchRefinerNav"));


    ReactDOM.render(React.createElement(Components.SearchResults, {
      results:[
        {
          headline:`Headline here ...`,
          link:{
            html:'<a href="#">Headline here</a>',
            id:'1',
            href:'#'
          },
          text:`<b>Lorem ipsum dolor</b> sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam ...`
        },
        {
          headline:`Headline here ...`,
          link:{
            html:'<a href="#">Headline here</a>',
            id:'2',
            href:'#'
          },
          text:`<b>Lorem ipsum dolor</b> sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam ...`
        },
        {
          headline:`Headline here ...`,
          link:{
            html:'<a href="#">Headline here</a>',
            id:'3',
            href:'#'
          },
          text:`<b>Lorem ipsum dolor</b> sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam ...`
        },
        {
          headline:`Headline here ...`,
          link:{
            html:'<a href="#">Headline here</a>',
            id:'4',
            href:'#'
          },
          text:`<b>Lorem ipsum dolor</b> sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam ...`
        },
        {
          headline:`Headline here ...`,
          link:{
            html:'<a href="#">Headline here</a>',
            id:'5',
            href:'#'
          },
          text:`<b>Lorem ipsum dolor</b> sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam ...`
        }
      ]
    }), document.getElementById("searchResults"));

    ReactDOM.render(React.createElement(Components.Pagination, {
      indicator:{
        current:'1',
        total:'12',
        prefix:'Page',
        divider:'of'
      },
      buttons:{
        prev:`<a href="#">Previous</a>`,
        next:`<a href="#">Next</a>`
      }
	  }), document.getElementById("searchPagination"));
})

	</script>

{% endblock %}

{% block header %}
<script>
   window.addEventListener('load', function(){
  ReactDOM.render(React.createElement(PriorityComponents.HeaderBanner, {
    desktopImage:{
			html:'',
			src:'',
			altText:''
		},
		mobImage:{
			html:'',
			src:'',
			altText:''
		},
    label:"Search",
    labelLink:'',
    headline:"You asked, we found",
    isProductHeader:false,
    theme:{
      themeName:'blackcurrant',
      themeAfter:'white',
      textColour:'white',
      mobileTextColour:'white'
    },
    search:{
      placeholderText:`Enter search term here...`,
      searchTerm:`Search term here ...`,
      searchLabel:`Search`,
      searchFormAction:'search-results.html',
      searchResultsCount:`123`,
      searchResultsText:`results found`,
      otherBusinessLink: {
        html: "<a href='#'>Looking for insurance, Investments & Pensions?</a>"
      }
    }
  }), document.getElementById("HeaderBanner"));
})
</script>
{% endblock %}

{% block FloatingActionButton %}{% endblock %}

{% block NavBreadcrumb %}
<script>
   window.addEventListener('load', function(){
	ReactDOM.render(React.createElement(Components.Breadcrumb, {
      items: [
          { label: "Home page",   url: "index.html" },
          { label: "Search results", url: '' },
      ]
  }), document.getElementById("breadcrumb"));
})
</script>
{% endblock %}
